<h1 mat-dialog-title>Cadastro de Produtos</h1>
<div mat-dialog-content>

  <div *ngIf="hide">
    <mat-form-field class="fullwidth">
      <input type="number" disabled="true" matInput placeholder="Id do Produto" id="id" [(ngModel)]="produto.id"
        name="id">
    </mat-form-field>
  </div>

  <p>
    <mat-form-field class="fullwidth">
      <input type="text" matInput placeholder="Descrição do Produto" id="descProd" [(ngModel)]="produto.descProd"
        name="descProd">
    </mat-form-field>
  </p>

  <td>
    <mat-form-field class="fullwidth">
      <input type="number" matInput placeholder="Código de Barras" id="codBarrasProd"
        [(ngModel)]="produto.codBarrasProd" name="codBarrasProd">
    </mat-form-field>
  </td>

  <p>
    <mat-form-field class="fullwidth">
      <input type="number" matInput placeholder="Peso do Produto" id="pesoProd" [(ngModel)]="produto.pesoProd"
        name="pesoProd">
    </mat-form-field>
  </p>

  <td>
    <mat-form-field class="fullwidth">
      <input type="number" matInput placeholder="Preço do Produto" id="precoUnit" [(ngModel)]="produto.precoUnit"
        name="precoUnit">
    </mat-form-field>
  </td>

  <p>
    <button id="btClose" mat-button (click)="onCloseDialog()">Sair</button>
    <button id="btSave" mat-button (click)="onValidateForm()">Salvar</button>
  </p>

</div>